DPKG-CHECKDEPS.RB(1)

NAME
dpkg-checkdeps.rb - Utility to check deb dependency

SYNOPSIS
dpkg-checkdeps.rb [opts] debfile ...
dpkg-checkdeps.rb [opts] --from packages pkgname...
dpkg-checkdeps.rb [opts] --from --all
dpkg-checkdeps.rb [opts] --check pkgname...
opts: --to packages
       --arch arch
       --verbose
       -q

DESCRIPTION
dpkg-checkdeps.rb checks deb dependency problems when specified deb packages are installed in the target packages list.

OPTIONS

-t packages-file
--to packages-file
    Specify target packages-file. If this option is used multiple times, packages lists are appended. If no -t option specified, default is current installed packages list, that is, /var/lib/dpkg/status.

-f packages-file
--from packages-file
    Specify source packages-file. If this option is used multiple times, packages lists are appended. If you use this option, you can select packages by package-name, or all of them by --all option.

-A
--all
    Select all packages in source packages-file. You must use this option with --from option.

-a arch
--arch arch
    Specify acceptable arch in packages-file. Default is installation_architecture of dpkg.

-c
--check
    Check selected packages are satisfied by all packages in target packages.

-v
--verbose
    Verbose mode

-h
--help
    Display some help.

EXAMPLES
  % dpkg-checkdeps.rb --arch alpha     --to '*/binary-$ARCH/Packages'     --from ../proposed-updates/Packages' --all
  % dpkg-checkdeps.rb --to '*/binary-$ARCH/Packages' --check libc6

BUGS
There are probably tons of bugs in this program. This checks only depends, recommends and suggests, doesn't check pre-depends and conflicts, yet. This program comes with no warranties. If running this program causes fire and brimstone to rain down upon the earth, you will be on our own.

AUTHOR
Fumitoshi UKAI <ukai@debian.or.jp>.